#!/bin/zsh
# usage:
# ./compile2png.sh name
# example ./compile2png.sh bob outputs a png called bob.png

if [[ "$OSTYPE" == "linux-gnu" ]]; then
        # ...
elif [[ "$OSTYPE" == "darwin"* ]]; then
        # Mac OSX
        # install imagemagick for convert
        if [[ ! -x "$(command -v convert)" ]]; then
                # package not installed fi
                brew install imagemagick
        fi
elif [[ "$OSTYPE" == "cygwin" ]]; then
        # POSIX compatibility layer and Linux environment emulation for Windows
elif [[ "$OSTYPE" == "msys" ]]; then
        # Lightweight shell and GNU utilities compiled for Windows (part of MinGW)
elif [[ "$OSTYPE" == "win32" ]]; then
        # I'm not sure this can happen.
elif [[ "$OSTYPE" == "freebsd"* ]]; then
        # ...
else
        # Unknown.
fi
# compile with argument such that convert is executed externally
pdflatex -shell-escape peoplename.tex
mv peoplename.png $1.png
